#include <stdio.h>
#define SIZE 10

int main(int argc, char *argv[]) {
	double grades[SIZE];
	double *grades_ptr;
	int i;
	
	for (i = 0; i < SIZE; i++) {
		grades[i] = i;
	}
	
	printf("grades = %p\n", grades);
	
	grades_ptr = grades;
	printf("grades_ptr = %p\n", grades_ptr);
	
	/* We forward grades_ptr to position 1 of the grades array */
	grades_ptr = grades_ptr + 1;
	/* Observe that the address increases by 8, since grades_ptr
	 * is a pointer to double, and a double is 8 bytes long */
	printf("grades_ptr = %p\n", grades_ptr);
	/* Use grades_ptr to print the value of grades[1], 
	 * using pointers notation */
	printf("content in *grades_ptr = %lf\n", *grades_ptr);
	/* Use grades_ptr to print the value of grades[2],
	 * using arrays notation */
	printf("grades_ptr[1] = %lf\n", grades_ptr[1]);
	return(0);
}